Amplify APIReference
Retrieve a Single Campaign
GET
/campaigns/{id}Note: some campaign properties require using the Extra Field notion
Authorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
id*string
the id of the Campaign
Query Parameters
extraFields?string
the additional campaign fields you want to include in the response
Response Body
application/json
curl -X GET "https://example.com/campaigns/00f4b02153ee75f3c9dc4fc128ab0411ab?extraFields=CustomAudience%2CLocations%2CInterestsTargeting%2CBidBySections%2CBlockedSites%2CPlatformTargeting%2CCampaignOptimization%2CScheduling%2CIABCategories%2CCampaignPixels%2CVolumeControl"{ "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "Boost 'ABC' Brand", "marketerId": "00f4b02153ee75f3c9dc4fc128ab041562", "lastModified": "2013-04-15 14:52:13", "creationTime": "2013-01-26 21:17:11", "campaignOnAir": false, "onAirReason": "CAMPAIGN_FLY_DATES_PAST", "enabled": true, "autoArchived": false, "currency": "USD", "cpc": 0.13, "minimumCpc": 0.1, "autoExpirationOfPromotedLinks": 7, "amountSpent": 150, "targeting": { "platform": [ "MOBILE", "DESKTOP" ], "locations": [ { "name": "Prince Edward Island", "canonicalName": "Prince Edward Island, Canada", "id": "a7fd4b0f63f8437cf04690b481e5eab1", "geoType": "Region", "parent": { "geoType": "Country", "canonicalName": "Canada", "id": "aa4ab4c893b9fb5618476cb27f264ef8", "name": "Canada" } } ], "operatingSystems": [ "MacOs", "Windows" ], "browsers": [ "Chrome" ] }, "feeds": [ "http://rss.cnn.com/rss/edition.rss", "http://rss.cnn.com/rss/sport.rss" ], "budget": { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "Boost 'ABC' Brand budget", "shared": true, "amount": 2000, "amountRemaining": 100, "creationTime": "2013-06-03 22:14:41", "lastModified": "2013-06-03 22:14:41", "startDate": "2013-09-16", "runForever": true, "type": "MONTHLY", "currency": "USD" }, "liveStatus": { "campaignOnAir": false, "onAirReason": "Campaign Fly Dates", "amountSpent": 523.35 }, "suffixTrackingCode": "trck=12", "prefixTrackingCode": { "prefix": "http://www.marketersServer.com?redirectTo=", "encode": true }, "contentType": "NATIVE_VIDEO", "cpcPerAdEnabled": true, "blockedSites": { "blockedPublishers": [ { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "Blocked Publisher Name 1", "creationTime": "2016-01-12 04:02:34", "expiration": "2026-01-20" }, { "id": "0095b3a4811c42fe570d1e730e7286adb4", "name": "Blocked Publisher Name 2", "creationTime": "2016-01-12 04:02:34" } ], "blockedSections": [ { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "Blocked Section Name", "creationTime": "2016-01-12 04:02:34", "publisher": { "id": "0095b3a4811c42fe570d1e730e7286adb4", "name": "The name of the publisher the section belongs to" } } ], "marketerBlockedSites": {} }, "bids": { "bySection": [ { "sectionId": "009e769d5444de4570582abe8ff7689883", "sectionName": "Sports", "publisherId": "00f3022e3638c88cb5e46768e45c471441", "cpcAdjustment": 0.1, "campaignId": "00f4b02153ee75f3c9dc4fc128ab041962", "creationTime": "2013-01-14 07:19:16", "lastModified": "2013-01-14 07:21:16" }, { "sectionId": "000b4b1c9dda9d79fe9ff53e0faefa615d", "sectionName": "Culture", "publisherId": "00d3a87281bbace0171560533ac547f6cc", "cpcAdjustment": 0.1, "campaignId": "00f4b02153ee75f3c9dc4fc128ab041962", "creationTime": "2013-01-14 07:19:16", "lastModified": "2013-01-14 07:27:16" } ] }, "campaignOptimization": { "optimizationType": "TRAFFIC" }, "volumeControl": { "adjustments": [ { "sectionId": "009e769d5444de4570582abe8ff7689883", "adjustmentLevel": "INCREASE" } ] }, "onAirType": "Scheduled", "scheduling": { "cpc": [ { "startDay": "Sunday", "endDay": "Monday", "startHour": 3, "endHour": 1, "cpcAdjustment": 0.1 } ], "onAir": [ { "startDay": "Sunday", "endDay": "Sunday", "startHour": 8, "endHour": 12 } ] }, "objective": "Awareness", "creativeFormat": "Standard", "pixels": { "trackingPixels": [ "http://outbrain.com/1", "http://outbrain.com/2" ], "impressionPixels": [ "http://outbrain.com/3", "http://outbrain.com/4" ] }}